////////////////////////////////////////////////////////////////////////////////
//! \file   Common.hpp
//! \brief  Wrapper to include the most common NCL library headers.
//! \author Chris Oldwood

// Check for previous inclusion
#ifndef NCL_COMMON_HPP
#define NCL_COMMON_HPP

#if _MSC_VER > 1000
#pragma once
#endif

////////////////////////////////////////////////////////////////////////////////
// Library documentation
//
//! \namespace NCL
//! \brief     The Network & Comms Library namespace.
//!
//! \namespace DDE
//! \brief     The Dynamic Data Exchange namespace.
//!
//! \mainpage  Network & Comms C++ Library
//! \section   introduction Introduction
//! This is a class library for Inter Process Communication.

////////////////////////////////////////////////////////////////////////////////
// Standard headers.

#include <Core/Common.hpp>		// Core library common headers.
#include <WCL/Common.hpp>		// Windows C++ library common headers.

////////////////////////////////////////////////////////////////////////////////
// Library headers.

#endif // NCL_COMMON_HPP
